Subject: Re: bug#27647: 26.0.50; Line numbers implemented natively disappear momentarily when frame out of focus

From: martin rudalics <[email-masked]>
Date: Sun, 15 Oct 2017 11:39:23 +0200

> To make line numbers disappear, some code has to trigger redisplay
 > with display-line-numbers somehow reset to nil.

Buffer-locally.  I suppose this will become clear as soon as the OP has
tested your "What if you turn on display-line-numbers globally".

In either case it seems that we do something subtly different when
processing GTK and native tooltips.  Since AFAICT the GTK tooltip
related code does not change the internal (frame-, display-related)
state of Emacs I can only think of the native tooltip code doing
something which prevents the OP's behavior from happening.  But I've
found nothing supporting such a claim in ‘x-show-tip’.

martin